package mdd.client;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.SplitPane;
import javafx.scene.control.TabPane;

import java.net.URL;
import java.util.ResourceBundle;

public class FXMLDocumentController implements Initializable {
    @FXML
    public Workshop workshop;
    @FXML
    public Toolbox toolbox;
    @FXML
    public PropertyManager propertymanager;
    @FXML
    public SplitPane sPane;

    @Override
    public void initialize(URL location, ResourceBundle resources) {
        System.out.println("Loading...");
        workshop.setTabClosingPolicy(TabPane.TabClosingPolicy.ALL_TABS);
        SplitPane.setResizableWithParent(workshop, false);
        SplitPane.setResizableWithParent(toolbox, false);
        SplitPane.setResizableWithParent(propertymanager, false);
        sPane.setDividerPositions(0.1, 0.9);
    }

    //@FXML private TabPane tabPane;

    /*public FXMLDocumentController() {

    }//*/
}
