package mdd.client;


import org.json.simple.JSONObject;

import java.util.Vector;

public class GUIEventHandler {
    private static GUIEventHandler _handler = new GUIEventHandler();
    private Vector<IGUIEventClient> _clients = new Vector<IGUIEventClient>();

    public GUIEventHandler(){

    }

    public void addEventListener(IGUIEventClient client){
        _clients.add(client);
    }

    public void removeEventListener(IGUIEventClient client){
        _clients.remove(client);
    }

    public void publishEvent(String event, JSONObject args){
        for (int i = 0; i < _clients.size(); ++i) {
            _clients.elementAt(i).processGUIEvent(event, args);
            //System.out.println(i+1 + " | " + _clients.size());
        }
    };

    public static GUIEventHandler getEventHandler(){
        return _handler;
    }
}

