package mdd.client;

import javafx.geometry.Pos;
import javafx.scene.control.Accordion;
import javafx.scene.control.Label;
import javafx.scene.control.ScrollPane;
import javafx.scene.control.TitledPane;
import javafx.scene.layout.GridPane;
import org.json.simple.JSONObject;

public class PropertyManager extends ScrollPane implements IGUIEventClient{
    private GUIEventHandler _eventhandler;

    public PropertyManager(){
        super();
        _eventhandler = GUIEventHandler.getEventHandler();
        _eventhandler.addEventListener(this);
        Accordion accordion = new Accordion();
        GridPane grid = new GridPane();
        grid.setAlignment(Pos.CENTER);
        grid.setHgap(10);
        grid.setVgap(10);
        TitledPane pane1 = new TitledPane("Properties", new Label("WIP"));
        TitledPane pane2 = new TitledPane("other Properties", new Label("WIP"));

        accordion.getPanes().add(pane1);
        accordion.getPanes().add(pane2);

        setContent(accordion);
        setFitToWidth(true);
    }

    @Override
    public void close() throws Exception {
        _eventhandler.removeEventListener(this);
    }

    @Override
    public void processGUIEvent(String event, JSONObject args) {

    }
}
